OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Private Member Functions
PoolBase Struct Reference

Base class for base of all pools. More...

`#include <pool_type.hpp>`

Inheritance diagram for PoolBase:

## Public Member Functions
| PoolBase (PoolType pt)
| Constructor registers this object in the pool vector.
virtual | ~PoolBase ()
| Destructor removes this object from the pool vector and deletes the vector itself if this was the last item removed.
virtual void | CleanPool ()=0
| Virtual method that deletes all items in the pool.

## Static Public Member Functions
static PoolVector * | GetPools ()
| Function used to access the vector of all pools.
static void | Clean (PoolType)
| Clean all pools of given type.

## Data Fields
const PoolType | type
| Type of this pool.

## Private Member Functions
| PoolBase (const PoolBase &other)
| Dummy private copy constructor to prevent compilers from copying the structure, which fails due to GetPools().

## Detailed Description

Base class for base of all pools.

Definition at line 32 of file pool_type.hpp.

## Constructor & Destructor Documentation

PoolBase::PoolBase | ( | PoolType | pt | ) |
| inline

Constructor registers this object in the pool vector.

Parameters

  pt | type of this pool.

Definition at line 51 of file pool_type.hpp.

References SmallVector< T, S >::Append(), and GetPools().

## Member Function Documentation

void PoolBase::Clean | ( | PoolType | pt | ) |
| static

Clean all pools of given type.

Parameters

  pt | pool types to clean.

Definition at line 32 of file pool_func.cpp.

References SmallVector< T, S >::Begin(), CleanPool(), SmallVector< T, S >::End(), GetPools(), and type.

Referenced by InitializeNetworkPools(), and ShutdownGame().

static PoolVector* PoolBase::GetPools | ( |  | ) |
| inline static

Function used to access the vector of all pools.

Returns
  pointer to vector of all pools

Definition at line 39 of file pool_type.hpp.

Referenced by Clean(), PoolBase(), and ~PoolBase().

The documentation for this struct was generated from the following files:

- src/core/pool_type.hpp
- src/core/pool_func.cpp